<?
define('PROTECTOR', 1);

$headmod = 'pers';//фикс. места

$textl='Умения';
@include('files/path.php');
@include($path.'files/db.php');
@include($path.'files/auth.php');
@include($path.'files/func.php');
@include($path.'files/core.php');
@include($path.'files/head.php');
@include($path.'files/zag.php');
$req = mysql_query("SELECT * FROM `mag` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
$mag=mysql_fetch_array($req);

$kol1=($mag[yarost]+5)*40;
$kol2=($mag[bronya]+5)*40;
$kol3=($mag[vihr]+5)*40;
$kol4=($mag[stoika]+5)*40;
$pov1=$mag[yarost]+5;
$pov2=$mag[bronya]+5;
$pov3=$mag[vihr]+5;
$pov4=$mag[stoika]+5;

switch($_GET[mod]){

default:
$pov1=$mag[yarost]+5;
echo"<font color=\"#ffc22b\"> • Умения автоматически используются в боях и повышают боевые качества героя</br>
 • Каждое умение можно улучшить до максимального уровня</font>$div";
if($avto==0){echo"Вы не можете повышать новые умения: у вас не создана учетная запись в таблице</br><a href=\"trenirovka.php?mod=tabl\">Создать</a>$div";}
echo '<form action="trenirovka.php?mod=yarost" method="post">';
echo"<img class='float-left' src='pic/game/1.0.png' />
<img src='pic/game/0.png' alt='*'/><font color='#aa591d'>Ярость титана:</font> </br>
Бонус: <font color='#71cc71'>+30%</font> к урону</br>
Шанс срабатывания: <font color='#71cc71'>$mag[yarost]%</font></br>";
if($mag[yarost]>=100){echo"<font color='#71cc71'>У вас максимальный уровень!</font></form>";echo"$div";}else{
echo"На следующем уровне: <font color='#71cc71'>$pov1%</font></br>";
echo '<input class="button" type="submit" value="Повысить за '.$kol1.' монет" /></form>';echo"$div";}

echo '<form action="trenirovka.php?mod=bronya" method="post">';
echo"<img class='float-left' src='pic/game/2.0.png' />
<img src='pic/game/0.png' alt='*'/><font color='#aa591d'>Крепкая броня:</font> </br>
Бонус: <font color='#71cc71'>+25%</font> к защите</br>
Шанс срабатывания: <font color='#71cc71'>$mag[bronya]%</font></br>";
if($mag[bronya]>=100){echo"<font color='#71cc71'>У вас максимальный уровень!</font></form>";echo"$div";}else{
echo"На следующем уровне: <font color='#71cc71'>$pov2%</font></br>";
echo '<input class="button" type="submit" value="Повысить за '.$kol2.' монет" /></form>';echo"$div";}

echo '<form action="trenirovka.php?mod=vihr" method="post">';
echo"<img class='float-left' src='pic/game/3.0.png' />
<img src='pic/game/0.png' alt='*'/><font color='#aa591d'>Вихрь критов: </font></br>
Шанс срабатывания: <font color='#71cc71'>100%</font></br>
Бонус: <font color='#71cc71'>+$mag[vihr]%</font> к урону крита</br>";
if($mag[vihr]>=100){echo"<font color='#71cc71'>У вас максимальный уровень!</font></form>";echo"$div";}else{
echo"На следующем уровне: <font color='#71cc71'>+$pov3%</font></br>";
echo '<input class="button" type="submit" value="Повысить за '.$kol3.' монет" /></form>';echo"$div";}

echo '<form action="trenirovka.php?mod=stoika" method="post">';
echo"<img class='float-left' src='pic/game/4.0.png' />
<img src='pic/game/0.png' alt='*'/><font color='#aa591d'>Защитная стойка:</font> </br>
Шанс срабатывания: <font color='#71cc71'>100%</font></br>
Бонус: <font color='#71cc71'>$mag[stoika]%</font> снижения урона от крит удара</br>";
if($mag[stoika]>=100){echo"<font color='#71cc71'>У вас максимальный уровень!</font></form>";echo"$div";}else{
echo"На следующем уровне: <font color='#71cc71'>$pov4%</font></br>";
echo '<input class="button" type="submit" value="Повысить за '.$kol4.' монет" /></form>';}
break;

case 'yarost':
if($avto==0){echo"<img src='pic/no.png' alt='*'/> У вас нет записи в таблице умений!</br><a href=\"trenirovka.php?\">Назад</a>";break;}
elseif($udata[money]<=$kol1){echo"<img src='pic/no.png' alt='*'/> У вас не хватает монет!</br><a href=\"trenirovka.php?\">Назад</a>";break;}elseif($mag[yarost]>=100){echo"<img src='pic/no.png' alt='*'/> Нельзя повысить у вас максимальный уровень!</br><a href=\"trenirovka.php?\">Назад</a>";break;}else{
mysql_query("UPDATE `users` SET `money` = '$udata[money]'-'$kol1' WHERE `usr` = '$log'");
mysql_query("UPDATE `mag` SET `yarost` = '$pov1' WHERE `usr` = '$log'");
echo"<img src='pic/yes.png' alt='*'/> Умение повышено до <font color='#71cc71'>$pov1%</font>!</br><a href=\"trenirovka.php?\">Назад</a>";}
break;

case 'bronya':
if($avto==0){echo"<img src='pic/no.png' alt='*'/> У вас нет записи в таблице умений!</br><a href=\"trenirovka.php?\">Назад</a>";break;}
elseif($udata[money]<=$kol2){echo"<img src='pic/no.png' alt='*'/> У вас не хватает монет!</br><a href=\"trenirovka.php?\">Назад</a>";break;}elseif($mag[bronya]>=100){echo"<img src='pic/no.png' alt='*'/> Нельзя повысить у вас максимальный уровень!</br><a href=\"trenirovka.php?\">Назад</a>";break;}else{
mysql_query("UPDATE `users` SET `money` = '$udata[money]'-'$kol2' WHERE `usr` = '$log'");
mysql_query("UPDATE `mag` SET `bronya` = '$pov2' WHERE `usr` = '$log'");
echo"<img src='pic/yes.png' alt='*'/> Умение повышено до <font color='#71cc71'>$pov2%</font>!</br><a href=\"trenirovka.php?\">Назад</a>";}
break;

case 'vihr':
if($avto==0){echo"<img src='pic/no.png' alt='*'/> У вас нет записи в таблице умений!</br><a href=\"trenirovka.php?\">Назад</a>";break;}
elseif($udata[money]<=$kol3){echo"<img src='pic/no.png' alt='*'/> У вас не хватает монет!</br><a href=\"trenirovka.php?\">Назад</a>";break;}elseif($mag[vihr]>=100){echo"<img src='pic/no.png' alt='*'/> Нельзя повысить у вас максимальный уровень!</br><a href=\"trenirovka.php?\">Назад</a>";break;}else{
mysql_query("UPDATE `users` SET `money` = '$udata[money]'-'$kol3' WHERE `usr` = '$log'");
mysql_query("UPDATE `mag` SET `vihr` = '$pov3' WHERE `usr` = '$log'");
echo"<img src='pic/yes.png' alt='*'/> Умение повышено до <font color='#71cc71'>$pov3%</font>!</br><a href=\"trenirovka.php?\">Назад</a>";}
break;

case 'stoika':
if($avto==0){echo"<img src='pic/no.png' alt='*'/> У вас нет записи в таблице умений!</br><a href=\"trenirovka.php?\">Назад</a>";break;}
elseif($udata[money]<=$kol4){echo"<img src='pic/no.png' alt='*'/> У вас не хватает монет!</br><a href=\"trenirovka.php?\">Назад</a>";break;}elseif($mag[stoika]>=100){echo"<img src='pic/no.png' alt='*'/> Нельзя повысить у вас максимальный уровень!</br><a href=\"trenirovka.php?\">Назад</a>";break;}else{
mysql_query("UPDATE `users` SET `money` = '$udata[money]'-'$kol4' WHERE `usr` = '$log'");
mysql_query("UPDATE `mag` SET `stoika` = '$pov4' WHERE `usr` = '$log'");
echo"<img src='pic/yes.png' alt='*'/> Умение повышено до <font color='#71cc71'>$pov4%</font>!</br><a href=\"trenirovka.php?\">Назад</a>";}
break;

case 'tabl':
if($avto==0){
mysql_query("INSERT INTO `mag` SET `usr` = '$log', `yarost` ='0', `bronya`='0', `vihr`='0',`stoika` ='0', `vihr2`= '0'");

echo"</br><img src='pic/yes.png' alt='*'/> Таблица создана , теперь вы можете изучать умения!</br><a href=\"trenirovka.php?\">Назад</a>";}else{echo"<img src='pic/no.png' alt='*'/> У вас уже есть запись в таблице умений!</br><a href=\"trenirovka.php?\">Назад</a>";}
break;
}
@include($path.'files/down.php');
?>